#
# netselect search
#

# $Id: netselect_search.rb,v 1.2 2001/09/03 05:13:07 elca Exp $

require 'timeout'
require 'util.rb'

class NetSelectSearch

  def initialize(hosts)
    @hosts = hosts.collect{|i| ipstr_to_str(i)}
  end

  def search(num)
    if num != 1
      return nil
    end

    out = ""
    begin
      timeout(120){
	open("|netselect " + @hosts.join(" ")) {|fd|
	  out = fd.gets.chop.split(" ")[1]
	}
      }
    rescue TimeoutError
      return nil
    end

    return [str_to_ipstr(out)]
  end

  def close()
    # do nothing
  end
end

#i = NetSelectSearch.new([str_to_ipstr("127.0.0.1"), str_to_ipstr("127.0.0.1")])
#p i.search(1)

# end
